Fix error handler for curl command in script

This commit is contained in:
Clémentine Urquizar 2022-02-07 16:00:50 +01:00
parent f7e4a0177d
commit c4a2d70d19
No known key found for this signature in database
GPG Key ID: D8E7CC7422E77E1A

View File

@ -120,7 +120,7 @@ get_latest() {
done done
rm -f "$temp_file" rm -f "$temp_file"
echo $latest return 0
} }
# Gets the OS by setting the $os variable # Gets the OS by setting the $os variable
@ -176,30 +176,41 @@ success_usage() {
echo ' $ ./meilisearch --help' echo ' $ ./meilisearch --help'
} }
failure_usage() { not_available_failure_usage() {
printf "$RED%s\n$DEFAULT" 'ERROR: Meilisearch binary is not available for your OS distribution or your architecture yet.' printf "$RED%s\n$DEFAULT" 'ERROR: Meilisearch binary is not available for your OS distribution or your architecture yet.'
echo '' echo ''
echo 'However, you can easily compile the binary from the source files.' echo 'However, you can easily compile the binary from the source files.'
echo 'Follow the steps at the page ("Source" tab): https://docs.meilisearch.com/learn/getting_started/installation.html' echo 'Follow the steps at the page ("Source" tab): https://docs.meilisearch.com/learn/getting_started/installation.html'
} }
fetch_release_failure_usage() {
echo ''
printf "$RED%s\n$DEFAULT" 'ERROR: Impossible to get the latest stable version of Meilisearch.'
echo 'Please let us know about this issue: https://github.com/meilisearch/meilisearch/issues/new/choose'
}
# MAIN # MAIN
latest="$(get_latest)"
# Fill $latest variable
if ! get_latest; then
fetch_release_failure_usage # TO CHANGE
exit 1
fi
if [ "$latest" = '' ]; then if [ "$latest" = '' ]; then
echo '' fetch_release_failure_usage
echo 'Impossible to get the latest stable version of Meilisearch.'
echo 'Please let us know about this issue: https://github.com/meilisearch/meilisearch/issues/new/choose'
exit 1 exit 1
fi fi
# Fill $os variable
if ! get_os; then if ! get_os; then
failure_usage not_available_failure_usage
exit 1 exit 1
fi fi
# Fill $archi variable
if ! get_archi; then if ! get_archi; then
failure_usage not_available_failure_usage
exit 1 exit 1
fi fi
@ -215,8 +226,15 @@ case "$os" in
binary_name='meilisearch' binary_name='meilisearch'
esac esac
# Fetch the Meilisearch binary
link="https://github.com/meilisearch/meilisearch/releases/download/$latest/$release_file" link="https://github.com/meilisearch/meilisearch/releases/download/$latest/$release_file"
curl -OL "$link" curl -OL "$link"
if [ $? -ne 0 ]
fetch_release_failure_usage
exit 1
fi
mv "$release_file" "$binary_name" mv "$release_file" "$binary_name"
chmod 744 "$binary_name" chmod 744 "$binary_name"
success_usage success_usage